Bug 239479 - Sony Ericsson M600i as USB storage device gives SCSI error 0x10070000
Sony Ericsson M600i as USB storage device gives SCSI error 0x10070000
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-08 14:19 EDT by Peter Åstrand
Modified: 2008-05-06 15:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:35:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gzipped usbmon trace (52.33 KB, application/octet-stream)
2007-05-10 06:23 EDT, Peter Åstrand
no flags Details

  None (edit)
Description Peter Åstrand 2007-05-08 14:19:30 EDT
The mobile phone Sony Ericsson M600i can be used as a USB mass storage device,
giving access to the Memory Stick Micro card. 

On my FC5 machine, I can mount the device just fine and also read and write some
files. When syncing, though, the kernel says:

May  8 19:51:28 sofie kernel: sd 1:0:0:0: SCSI error: return code = 0x10070000
May  8 19:51:28 sofie kernel: end_request: I/O error, dev sda, sector 15183
May  8 19:51:29 sofie kernel: sd 1:0:0:0: SCSI error: return code = 0x10070000
May  8 19:51:29 sofie kernel: end_request: I/O error, dev sda, sector 15423

This happens all the time. I've tried many different kernels, including
2.6.20-1.2316.fc5. 

This bug *might* be a duplicate of bug 134001, but this device uses 512 byte
sectors. When attaching, I get:

kernel: scsi 1:0:0:0: Direct-Access              M600i            1.0  PQ: 0 ANSI: 0
kernel: SCSI device sda: 1945230 512-byte hdwr sectors (996 MB)
kernel: sda: Write Protect is off
kernel: sda: assuming drive cache: write through
kernel: SCSI device sda: 1945230 512-byte hdwr sectors (996 MB)
kernel: sda: Write Protect is off
kernel: sda: assuming drive cache: write through
kernel:  sda:
kernel: sd 1:0:0:0: Attached scsi removable disk sda
kernel: sd 1:0:0:0: Attached scsi generic sg0 type 0
Comment 1 Chuck Ebbert 2007-05-08 14:28:30 EDT
Please provide output of the 'lsusb' command with the phone attached.
Comment 2 Peter Åstrand 2007-05-08 14:44:10 EDT
>Please provide output of the 'lsusb' command with the phone attached.

Here you go:

# lsusb
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 006: ID 0fce:e031 Sony Ericsson Mobile Communications AB
Bus 001 Device 003: ID 05e3:0606 Genesys Logic, Inc.
Bus 001 Device 002: ID 045e:00dd Microsoft Corp.
Bus 001 Device 001: ID 0000:0000
Comment 3 Pete Zaitcev 2007-05-08 16:01:04 EDT
0fce:e031 already has FIX_CAPACITY quirk (in Linus' tree 2.6.21), so it
worked at least for someone. Not sure how old it is though, maybe not in FC-5.
Notice though, 15183 is far inside the reported capacity.

BTW, it is relatively common for phones to have problems writing to their
memory cards. Some may be made read-only intentionally.
Comment 4 Chuck Ebbert 2007-05-08 16:22:56 EDT
(In reply to comment #3)
> 0fce:e031 already has FIX_CAPACITY quirk (in Linus' tree 2.6.21), so it
> worked at least for someone. Not sure how old it is though, maybe not in FC-5.
> Notice though, 15183 is far inside the reported capacity.

yes that is in the FC-5 kernel. But it should make no difference.
 
> BTW, it is relatively common for phones to have problems writing to their
> memory cards. Some may be made read-only intentionally.

Their website says USB mass storage is supported and you can move
data from a PC to the phone.

Maybe it needs an additional flag?
Comment 5 Pete Zaitcev 2007-05-08 17:10:58 EDT
If it were FC-6, I would ask for usbmon trace, to see what actually happens.
On FC-5 though... We need a rebuilt kernel, or install an FC-6 kernel.
Comment 6 Peter Åstrand 2007-05-09 02:24:13 EDT
I've verified this problem on FC6 now. How can I generate an usbmon trace?
Comment 7 Pete Zaitcev 2007-05-09 13:25:49 EDT
Awesome, thanks a lot.

The howto about it is in 
/usr/share/doc/kernel-doc-2.6.21/Documentation/usb/usbmon.txt
(comes with kernel-doc package).
Comment 8 Peter Åstrand 2007-05-10 06:23:23 EDT
Created attachment 154461 [details]
gzipped usbmon trace

The attached file is a gzipped usbmon trace, using kernel 2.6.20-1.2948.fc6.
During the trace, I did:

* Attach the M600
* Mount it with "mount /dev/sdb /mnt"
* "ls /mnt"
* Started copying a file to the device. Got errors, aborted. 
* umounted, removed the device.
Comment 9 Pete Zaitcev 2007-05-31 16:07:53 EDT
The error turned out to be a -71 during the data transfer for a command
at moment 1702546096. There was no SCSI level error. Until then, everything
was in a good shape.

Although, the write pattern generated by vfat is really odd. It produces
tons of zeroes written in exact same locations repeatedly. I suppose this
is how it updates the FAT itself.

I don't see us doing anything wrong at all. It's just the phone suddenly
decided to die for no reason in the middle of command. Therefore, I'm at
loss what to suggest... The only thing which comes to mind is this:

echo 32 > /sys/block/sda/queue/max_sectors_kb
echo 32 > /sys/block/sda/queue/max_hw_sectors_kb

Ultimately though, it may be just a duff phone or the stick.
Comment 10 Peter Åstrand 2007-06-07 18:04:07 EDT
>echo 32 > /sys/block/sdb/queue/max_sectors_kb

This command succeeds, but doesn't help. 


>echo 32 > /sys/block/sdb/queue/max_hw_sectors_kb

This gives me:

-bash: /sys/block/sdb/queue/max_hw_sectors_kb: Permission denied


>Ultimately though, it may be just a duff phone or the stick.

Well, it works perfectly in Windows XP, but I wouldn't be surprised if this is a
phone bug of some kind: these phones are full of bugs. Would some kind of USB
trace from Windows help?

Comment 11 Bug Zapper 2008-04-04 03:12:38 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 12 Bug Zapper 2008-05-06 15:35:14 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.